Skip to main content
Rezolve Ai
API ReferenceWebhooksId

Update a webhook subscription

PUT
/webhooks/{id}

Change a subscription's URL, events, description, or whether it is active. An API key needs the webhooks:write scope.

Authorization

headerAuthorizationBearer <API key>

API key in the Authorization header: Authorization: Bearer ace_live_.... Use an ace_test_... key for the free, rate-capped sandbox.

Path Parameters

id*string

Request Body

application/json
  1. body
url?string
Formaturi
events?array<string>
is_active?boolean
description?string

Response Body

Updated

application/json
  1. response
data?
Example Request
curl -X PUT 'https://example.com/api/v1/webhooks/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": {    "id": "string",    "url": "http://example.com",    "events": [      "string"    ],    "secret": "string",    "is_active": true,    "description": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}